Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598291 - Should determine make and model for Windows print shares [NEEDINFO]
Summary: Should determine make and model for Windows print shares
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-01 02:47 UTC by John Mellor
Modified: 2016-06-24 10:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-08 01:39:39 UTC
john.mellor: needinfo-
twaugh: needinfo?


Attachments (Terms of Use)
Scan of the as-printed CUPS test page (deleted)
2010-06-05 00:43 UTC, John Mellor
no flags Details

Description John Mellor 2010-06-01 02:47:01 UTC
Description of problem:
CUPS test page printed with correct content, horizontally compressed 50%.  The page printing was also extremely slow, taking 40+ minutes to print a single, sparse, one-colour page using many thousands of passes to print at an apparent one pixel at a time.


Version-Release number of selected component (if applicable):
CUPS 1.4.3

How reproducible:
every time

Steps to Reproduce:
1. Configure an Epson CX4450 as an Epson "New Stylus Color" printer, connected via SMB share from a Windows XP machine.
2. Print test page as suggested.
  
Actual results:
Only the left 1/2 of the page is printed.  Page looks compressed horizontally.
Probable incorrect pixel width calculation used.

Expected results:
A normal full-width page should be printed.

Additional info:
Test page shows the driver name as stphoto2.ppd, version 1.4
This printer used to print correctly prior to F13, using the GutenPrint CUPS driver for a CX4400 printer, as the 4450 all-in-one was not previously listed.

Comment 2 Jiri Popelka 2010-06-04 17:00:41 UTC
Can you show me what does (when the printer is on)
su -c "lpinfo -l -v"

Comment 3 John Mellor 2010-06-05 00:25:58 UTC
Per request (although it does not look useful):
$ sudo lpinfo -l -v
Device: uri = https
        class = network
        info = Internet Printing Protocol (https)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = ipp
        class = network
        info = Internet Printing Protocol (ipp)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = scsi
        class = direct
        info = SCSI Printer
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = http
        class = network
        info = Internet Printing Protocol (http)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = lpd
        class = network
        info = LPD/LPR Host or Printer
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = socket
        class = network
        info = AppSocket/HP JetDirect
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = serial:/dev/ttyS0?baud=115200
        class = serial
        info = Serial Port #1
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = smb
        class = network
        info = Windows Printer via SAMBA
        make-and-model = Unknown
        device-id = 
        location = 

This printer works well from Windows XP, and used to work properly from Fedora 12.

Comment 4 John Mellor 2010-06-05 00:43:46 UTC
Created attachment 421386 [details]
Scan of the as-printed CUPS test page

Scan (using the scanner portion of this multifunction printer) of the as-printed CUPS test page, showing the 50% horizontal compression from this Epson CX4450 printer.  In Fedora 12, this printer was correctly using the CX4400 ppd from the gutenprint-cpus package

Comment 5 Jiri Popelka 2010-06-07 10:22:44 UTC
(In reply to comment #4)
> In Fedora 12, this printer was correctly using the
> CX4400 ppd from the gutenprint-cpus package    

You can change the driver manually:
System->Administration->Printing, right-click on your printer, Properties, press 'Change...' to change Make and Model, Select printer from database, select Epson from list of Makes, Forward, select driver for "Epson Stylus CX4400 - CUPS+Gutenprint v5.2.5".

The problem here is that this particular model does not have an entry
in the gutenprint-cups database saying which driver might work.
So you end up with general driver after "auto-configuration".

That's why I was trying to obtain the identification string from the printer
with 'lpinfo', hoping to see something like
Device: uri = smb
        class = network
        info = Windows Printer via SAMBA
        make-and-model = Unknown
        device-id = MFG:EPSON;MDL:Stylus CX4450;DES:EPSON Stylus CX4450;CMD:ESCPL2,BDC,D4;

Comment 11 John Mellor 2010-06-08 01:38:53 UTC
For some reason, gutenprint-cups was not installed, and the correct ppd was not available to select.  There are only 4 Epson printers available to select from in the default printer setup, which is obviously not correct.  When I installed the gutenprint-cups package, I could then select the CX4400 printer, which is close enough to the CX4450 that the ppd works.  Problem solved.

P.S: Gutenprint-cups was supposed to be merged 2 Fedora releases ago, and I do not know what went wrong there.  This should be installed by default, as it is the only package with a proper set of printers.  Perhaps someone will finish this effort...

Comment 12 Tim Waugh 2010-06-08 08:39:32 UTC
John, see comment #5.  Normally gutenprint-cups is automatically installed when plugging in a printer that can be driven using it, or when setting up a network queue for such a printer, but in this case system-config-printer was not able to accurately determine the make and model of the printer.

This is because it is being exposed via Windows share, and system-config-printer doesn't yet know how to query make and model for that type of network printer.

Re-opening and giving the bug a better subject.

Comment 13 Bug Zapper 2011-06-02 12:33:27 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 John Mellor 2015-03-02 22:58:28 UTC
I no longer have a Windows machine that I can provide information about.  Can someone else please provide the required information?

Comment 15 Fedora Admin XMLRPC Client 2016-06-24 10:41:04 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.